# Uses of Interface
org.springframework.beans.factory.wiring.BeanWiringInfoResolver

Packages that use BeanWiringInfoResolver
Package
Description
org.springframework.beans.factory.annotation
Support package for annotation-driven bean configuration.
org.springframework.beans.factory.wiring
Mechanism to determine bean wiring metadata from a bean instance.

## Uses of BeanWiringInfoResolver in org.springframework.beans.factory.annotation

Classes in org.springframework.beans.factory.annotation that implement BeanWiringInfoResolver
Modifier and Type
Class
Description
`class`
`AnnotationBeanWiringInfoResolver`
`BeanWiringInfoResolver` that uses the Configurable annotation to identify which classes need autowiring.

## Uses of BeanWiringInfoResolver in org.springframework.beans.factory.wiring

Classes in org.springframework.beans.factory.wiring that implement BeanWiringInfoResolver
Modifier and Type
Class
Description
`class`
`ClassNameBeanWiringInfoResolver`
Simple default implementation of the `BeanWiringInfoResolver` interface, looking for a bean with the same name as the fully-qualified class name.
Methods in org.springframework.beans.factory.wiring that return BeanWiringInfoResolver
Modifier and Type
Method
Description
`protected BeanWiringInfoResolver`
BeanConfigurerSupport.`createDefaultBeanWiringInfoResolver()`
Create the default BeanWiringInfoResolver to be used if none was specified explicitly.
Methods in org.springframework.beans.factory.wiring with parameters of type BeanWiringInfoResolver
Modifier and Type
Method
Description
`void`
BeanConfigurerSupport.`setBeanWiringInfoResolver(BeanWiringInfoResolver beanWiringInfoResolver)`
Set the `BeanWiringInfoResolver` to use.